Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::MPFilterIterator< TYPE, FILTER > Class Template Reference
Iterator | Iterators

MPFilterIterator implements memory pool for FilterIterator. More...

`#include <filteriterator.h>`

Inheritance diagram for tlp::MPFilterIterator< TYPE, FILTER >:
[legend]
Collaboration diagram for tlp::MPFilterIterator< TYPE, FILTER >:
[legend]

List of all members.

## Public Member Functions

- MPFilterIterator (Iterator< TYPE > *it, FILTER filter)

## Detailed Description

### template<typename TYPE, typename FILTER>
class tlp::MPFilterIterator< TYPE, FILTER >

MPFilterIterator implements memory pool for FilterIterator.

Warning:
  never inherit from that class

See also:
  FilterIterator

## Constructor & Destructor Documentation

template<typename TYPE , typename FILTER >

tlp::MPFilterIterator< TYPE, FILTER >::MPFilterIterator | ( | Iterator< TYPE > * | it,
|  | FILTER | filter
| ) |  | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012